

import Taro from '@tarojs/taro'
import { View, Image } from '@tarojs/components'
import { getTravelDestiny } from '@/services/travel'

import './style.less'

export default (props) => {
  const goToTravel = () => {
    Taro.navigateTo({ url: `/pages/Travel/customizedTravel/index` })
  }
  //跳转答题页
  const goToRandomItinerary = () => {
    getTravelDestiny().then(e => {
      if (!e) {
        Taro.navigateTo({ url: `/pages/RandomItinerary/index` })
      } else {
        Taro.navigateTo({ url: `/pages/RandomItinerary/ResultOver/index` })
      }
    })
  }

  return (
    <View style='width:100%;display:flex;'>
      <View style='width:45%'>
        <View onClick={goToTravel} className='CustomizedEntrance'  ></View>
        <Image className='MiniYellow' src='https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/GuideCheck/MiniYellow.png' />
        <Image className='BigPink' src='https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/GuideCheck/BigPink.png' />
      </View>
      <View className='style=width:45%'>
        <View className='BigYellow'></View>
        <Image className='MiniPink' src='https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/GuideCheck/MiniPink.png' />
        <View onClick={goToRandomItinerary} className='LtineraryEntrance'></View>
      </View>
    </View>
  )
}