
import Taro from '@tarojs/taro'

export default function chooselError(title, content) {
  Taro.showModal({
    title: title,
    content: content,
    success: (res) => {
      if (res.confirm) {
        // 执行跳转，到设置界面
        Taro.openSetting({
          success: (settingRes) => {
            // console.log(settingRes);
            if (settingRes.authSetting['scope.userLocation']) {
              this.loadLocation();
            }
          }
        })
      }
    }
  })


};

